[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.CreateDockManager

Returns the DockManager for this control.

## Declaration

Source position: controls.pp line 1800

`protected function TWinControl.CreateDockManager: TDockManager; virtual;`

## Description

If DockManager is nil, and UseDockManager is True, a new default DockManager is created.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.